ReferênciaLeads
Qualificar lead
Authorization
apiKey X-API-Key<token>
Chave de API (prefixo nbr_) ou Token de Acesso Pessoal (prefixo pat_)
In: header
Path Parameters
id*string
Identificador único do lead
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Molda o negócio que a qualificação abre. Ignorado quando o lead entra em um negócio aberto.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/leads/led_abc123/qualify" \ -H "Content-Type: application/json" \ -d '{}'{ "lead": { "id": "led_abc123", "party_id": "string", "source": "olx", "purpose": "compra", "source_reference": "string", "raw_payload": {}, "property_id": "string", "message": "string", "stage": "novo", "discard_reason": "string", "qualified_at": "2019-08-24T14:15:22Z", "discarded_at": "2019-08-24T14:15:22Z", "deal_id": "string", "assigned_user_id": "string", "assigned_at": "2019-08-24T14:15:22Z", "first_response_at": "2019-08-24T14:15:22Z", "sla_due_at": "2019-08-24T14:15:22Z", "held": true, "custom_fields": {}, "search_profile": { "property_types": [ "apartment" ], "cities": [ "string" ], "districts": [ "string" ], "price_min": 0, "price_max": 0, "bedrooms_min": 0, "area_min": 1, "notes": "string" }, "contact_name": "string", "contact_phone": "string", "assigned_user_name": "string", "tenant_id": "string", "organization_id": "string", "visibility": "restricted", "created_by": "string", "created_at": "2019-08-24T14:15:22Z", "updated_by": "string", "updated_at": "2019-08-24T14:15:22Z" }, "deal": { "id": "del_abc123", "party_id": "string", "purpose": "compra", "stage_id": "string", "status": "aberto", "lost_reason": "string", "won_at": "2019-08-24T14:15:22Z", "lost_at": "2019-08-24T14:15:22Z", "owner_user_id": "string", "source_lead_id": "string", "value_cents": 0, "custom_fields": {}, "search_profile": { "property_types": [ "apartment" ], "cities": [ "string" ], "districts": [ "string" ], "price_min": 0, "price_max": 0, "bedrooms_min": 0, "area_min": 1, "notes": "string" }, "property_ids": [ "string" ], "proposal_ids": [ "string" ], "proposals": [ { "id": "string", "proposal_number": "string", "status": "string" } ], "contact_name": "string", "contact_phone": "string", "owner_user_name": "string", "tenant_id": "string", "organization_id": "string", "visibility": "restricted", "created_by": "string", "created_at": "2019-08-24T14:15:22Z", "updated_by": "string", "updated_at": "2019-08-24T14:15:22Z" }, "deal_created": true}{ "type": "validation", "title": "Validation Failed", "status": 400, "detail": "name is required", "code": "validation.required", "instance": "/public/v1/brokers", "request_id": "req_abc123", "timestamp": "2026-02-15T12:00:00Z", "documentation_url": "https://docs.nobur.com.br/errors/validation", "errors": [ { "field": "name", "message": "name is required", "code": "validation.broker.name_required" } ]}{ "type": "unauthorized", "title": "Authentication Required", "status": 401, "detail": "authentication required", "code": "unauthorized.auth_required", "request_id": "req_abc123", "timestamp": "2026-02-15T12:00:00Z", "documentation_url": "https://docs.nobur.com.br/errors/unauthorized"}{ "type": "forbidden", "title": "Access Denied", "status": 403, "detail": "insufficient permissions", "code": "forbidden.insufficient_permissions", "request_id": "req_abc123", "timestamp": "2026-02-15T12:00:00Z", "documentation_url": "https://docs.nobur.com.br/errors/forbidden"}{ "type": "not_found", "title": "Resource Not Found", "status": 404, "detail": "broker not found", "code": "not_found.broker", "request_id": "req_abc123", "timestamp": "2026-02-15T12:00:00Z", "documentation_url": "https://docs.nobur.com.br/errors/not-found"}{ "type": "rate_limit", "title": "Rate Limit Exceeded", "status": 429, "detail": "rate limit exceeded", "code": "rate_limit.exceeded", "retry_after": 60, "request_id": "req_abc123", "timestamp": "2026-02-15T12:00:00Z", "documentation_url": "https://docs.nobur.com.br/errors/rate-limit"}{ "type": "internal", "title": "Internal Server Error", "status": 500, "detail": "an unexpected error occurred", "code": "internal.unexpected", "request_id": "req_abc123", "timestamp": "2026-02-15T12:00:00Z", "documentation_url": "https://docs.nobur.com.br/errors/internal"}